## SYNOPSIS

           namei [-mx] pathname [ pathname ... ]

## DESCRIPTION

           Namei  uses its arguments as pathnames to any type of Unix
           file (symlinks, files, directories, and so forth).   Namei
           then follows each pathname until a terminal point is found
           (a file, directory, char device, etc).  If it finds a sym
           bolic  link,  we  show  the  link, and start following it,
           indenting the output to show the context.

           This program is useful for finding a "too many  levels  of
           symbolic links" problems.

           For  each line output, namei outputs a the following char
           acters to identify the file types found:

              f: = the pathname we are currently trying to resolve
               d = directory
               l = symbolic link (both the link and it's contents are output)
               s = socket
               b = block device
               c = character device
               - = regular file
               ? = an error of some kind

           Namei prints an informative message when the maximum  num
           ber  of  symbolic  links  this  system  can  have has been
           exceeded.

## OPTIONS

           -x      Show mount point directories with  a  'D',  rather
                   than a 'd'.

           -m      Show  the mode bits of each file type in the style
                   of ls(1), for example 'rwxr-xr-x'.

## AUTHOR

           Roger Southwick  (rogers@amadeus.wr.tek.com)

## BUGS

           To be discovered.

## CAVEATS

           Namei will follow an infinite loop of symbolic links  for
           ever.  To escape, use SIGINT (usually ^C).

## SEE ALSO

           ls(1), stat(1)